'use strict';

import React      from 'react';
import style      from './style.scss';
import CSSModules from 'react-css-modules';

import {
  ShareButtons,
  ShareCounts,
  generateShareIcon
} from 'react-share'

const {
  FacebookShareButton,
  GooglePlusShareButton,
  LinkedinShareButton,
  TwitterShareButton,
  PinterestShareButton,
  VKShareButton,
} = ShareButtons

const FacebookIcon = generateShareIcon('facebook');
const TwitterIcon = generateShareIcon('twitter');
const GooglePlusIcon = generateShareIcon('google');

class CarmelComponent extends React.Component {

  render () {
    return (
        <div styleName="container">
          <div styleName="content">
            <FacebookShareButton styleName="shareButton"
              url={this.props.carmel.shareUrl}
              title={this.props.carmel.text.shareTitle}>
              <FacebookIcon
                size={48}
                round />
            </FacebookShareButton>
            <TwitterShareButton styleName="shareButton"
              url={this.props.carmel.shareUrl}
              title={this.props.carmel.text.shareTitle}>
              <TwitterIcon
                size={48}
                round />
            </TwitterShareButton>
          </div>
        </div>
    )
  }
}

export default CSSModules(CarmelComponent, style);
